PHP 手冊
前一頁 |  | 下一頁

# CXXXVII. XSL functions

# 介紹

The XSL extension implements the XSL standard, performing XSLT transformations using the libxslt library

# 需求

This extension uses libxslt which can be found at http://xmlsoft.org/XSLT/. libxslt version 1.0.18 or greater is required.

# 安裝

PHP 5 includes the XSL extension by default and can be enabled by adding the argument --with-xsl[=DIR] to your configure line. DIR is the libxslt installation directory.

# 預先定義類別

## XSLTProcessor

### Constructor

- XSLTProcessor->__construct() - construct a new XSLTProcessor object

### Methods

- XSLTProcessor->getParameter() - Get value of a parameter

- XSLTProcessor->hasExsltSupport() - Determine if PHP has EXSLT support

- XSLTProcessor->importStylesheet() - Import stylesheet

- XSLTProcessor->registerPHPFunctions() - Enables the ability to use PHP functions as XSLT functions

- XSLTProcessor->removeParameter() - Remove parameter

- XSLTProcessor->setParameter() - Set value for a parameter

- XSLTProcessor->transformToDoc() - Transform to DOMDocument

- XSLTProcessor->transformToURI() - Transform to URI

- XSLTProcessor->transformToXML() - Transform to XML

# 範例

Many examples in this reference require both an XML and an XSL file. We will use `collection.xml` and `collection.xsl` that contains the following:

範例 1. collection.xml

    <collection>
     <cd>
      <title>Fight for your mind</title>
      <artist>Ben Harper</artist>
      <year>1995</year>
     </cd>
     <cd>
      <title>Electric Ladyland</title>
      <artist>Jimi Hendrix</artist>
      <year>1997</year>
     </cd>
    </collection>

範例 2. collection.xsl

    <xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
     <xsl:param name="owner" select="'Nicolas Eliaszewicz'"/>
     <xsl:output method="html" encoding="iso-8859-1" indent="no"/>
     <xsl:template match="collection">
      Hey! Welcome to <xsl:value-of select="$owner"/>'s sweet CD collection!
      <xsl:apply-templates/>
     </xsl:template>
     <xsl:template match="cd">
      <h1><xsl:value-of select="title"/></h1>
      <h2>by <xsl:value-of select="artist"/> - <xsl:value-of select="year"/></h2>
      <hr />
     </xsl:template>
    </xsl:stylesheet>

# 預先定義常數

以下的常數由此延伸定義，只在這個延伸被編譯成PHP或實行時期被動態載入時有效。

`XSL_CLONE_AUTO` (integer)

`XSL_CLONE_NEVER` (integer)

`XSL_CLONE_ALWAYS` (integer)

前一頁 | 內容 | 下一頁
xmlrpc_set_type | 上一層 | XSLTProcessor->__construct()